Get Notification Settings
curl --request GET \
--url https://www.catchthegoodones.com/api/v2/notification-settingsimport requests
url = "https://www.catchthegoodones.com/api/v2/notification-settings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.catchthegoodones.com/api/v2/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summaryFrequency": "daily",
"emailSummariesEnabled": true,
"telegramSummariesEnabled": false,
"telegramConnected": false
}
Notifications
Get Notification Settings
Returns the current notification preferences for the authenticated user
GET
/
api
/
v2
/
notification-settings
Get Notification Settings
Returns the current notification preferences for the authenticated user.
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer ctgo_your_api_key_here |
Example
curl https://www.catchthegoodones.com/api/v2/notification-settings \
-H "Authorization: Bearer ctgo_your_api_key_here"
Response
{
"summaryFrequency": "daily",
"emailSummariesEnabled": true,
"telegramSummariesEnabled": false,
"telegramConnected": false
}
Response fields
| Field | Type | Description |
|---|---|---|
summaryFrequency | string | "after_every_sync", "daily", "weekly", or "off" |
emailSummariesEnabled | boolean | Whether email summaries are enabled |
telegramSummariesEnabled | boolean | Whether Telegram summaries are enabled |
telegramConnected | boolean | Whether a Telegram chat has been linked |
⌘I